org.apache.maven.project.interpolation

## Class PathTranslatingPostProcessor

- java.lang.Object
- - org.apache.maven.project.interpolation.PathTranslatingPostProcessor

    public class PathTranslatingPostProcessor
    extends java.lang.Object

Version:
  $Id: PathTranslatingPostProcessor.java 767323 2009-04-21 22:53:31Z jdcasey $

### Constructor Summary

Constructors
Constructor and Description
`PathTranslatingPostProcessor(java.util.List<java.lang.String> expressionPrefixes, java.util.List<java.lang.String> unprefixedPathKeys, java.io.File projectDir, PathTranslator pathTranslator)`

### Method Summary

Methods
`java.lang.Object` `execute(java.lang.String expression, java.lang.Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PathTranslatingPostProcessor

    public PathTranslatingPostProcessor(java.util.List<java.lang.String> expressionPrefixes,
                                java.util.List<java.lang.String> unprefixedPathKeys,
                                java.io.File projectDir,
                                PathTranslator pathTranslator)

### Method Detail

#### execute

    public java.lang.Object execute(java.lang.String expression,
                           java.lang.Object value)